Skip to content

Lock profile management again.

DELETE
/api/session/parent-gate
curl --request DELETE \
--url https://example.com/api/session/parent-gate

OK

Media typeapplication/json
object
account
required
object
id
required
string format: uuid
email
required
null | string
username
required
null | string
displayName
required
string
telemetry
required
boolean
hasPassword
required
boolean
hasManagePin
required
boolean
termsVersion
required
null | string
logins
required
Array<string>
role
required
null | string
community
required
null | string
consoleUrl
required
null | string
profiles
required
Array<object>
object
id
required
string format: uuid
publicId
required
string
name
required
string
avatar
required
string
kind
required
string
ageBand
required
null | string
hasPin
required
boolean
playWithOthers
required
boolean
onPublicBoards
required
boolean
hiddenFromBoards
required
boolean
invites
required
string
activeProfileId
required
null | string format: uuid
parentUnlockedUntil
required
null | string format: date-time
secureUntil
required
null | string format: date-time

Example generated

{
"account": {
"id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"email": "example",
"username": "example",
"displayName": "example",
"telemetry": true,
"hasPassword": true,
"hasManagePin": true,
"termsVersion": "example",
"logins": [
"example"
],
"role": "example",
"community": "example",
"consoleUrl": "example"
},
"profiles": [
{
"id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"publicId": "example",
"name": "example",
"avatar": "example",
"kind": "example",
"ageBand": "example",
"hasPin": true,
"playWithOthers": true,
"onPublicBoards": true,
"hiddenFromBoards": true,
"invites": "example"
}
],
"activeProfileId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"parentUnlockedUntil": "2026-04-15T12:00:00Z",
"secureUntil": "2026-04-15T12:00:00Z"
}